> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sync.cdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Job Status

> Query the status of a job. Specifying the JobName includes detail for each query in the response.



## OpenAPI

````yaml /26.2/en/rest-api/openapi-v1.json post /getJobStatus
openapi: 3.0.1
info:
  title: CData OpenAPI
  version: 26.2.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://sync.example.com/api.rsc
        description: >-
          Base URL of your Sync instance, including scheme and application path
          (e.g. https://sync.example.com/api.rsc).
security: []
paths:
  /getJobStatus:
    post:
      tags:
        - getJobStatus
      summary: Get Job Status
      description: >-
        Query the status of a job. Specifying the JobName includes detail for
        each query in the response.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/getJobStatus_input'
      responses:
        '200':
          description: The action result
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/getJobStatus_output'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CDataError'
      security:
        - basic: []
        - authtoken_header: []
        - authtoken_query: []
components:
  schemas:
    getJobStatus_input:
      type: object
      properties:
        JobId:
          type: string
          description: The id of the job to run.
        WorkspaceId:
          type: string
          description: The id of WorkspaceId.
          default: default
        JobName:
          type: string
          description: The name of the job to run.
        PushOnQuery:
          type: string
          description: Boolean indicating whether output status on query.
          default: 'true'
    getJobStatus_output:
      type: array
      items:
        type: object
        properties:
          JobName:
            description: The name of the job.
            type: string
          LastRun:
            type: string
            description: The last time the job ran.
          Status:
            type: string
            description: The last job executing result.
          Detail:
            type: string
            description: The job execution detail.
          Query:
            type: string
            description: The query statement.
          Table:
            type: string
            description: The table name of query statement.
          LastUpdate:
            type: string
            description: The last time the table was updated.
          QueryStatus:
            type: string
            description: The status from the last time the query statement executed.
          QueryStatusDetail:
            type: string
            description: >-
              The detail status information from the last time the query
              statement executed.
          Other:
            type: string
            description: >-
              The other status information from the last time the query
              statement executed.
    CDataError:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CDataInError'
    CDataInError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    basic:
      scheme: basic
      type: http
    authtoken_header:
      type: apiKey
      in: header
      name: x-cdata-authtoken
    authtoken_query:
      type: apiKey
      in: query
      name: '@authtoken'

````